libzypp 17.37.10

UrlException.h File Reference
`#include <zypp-core/base/Exception.h>`

Go to the source code of this file.

## Classes
class | zypp::url::UrlException
| Base class for all URL exceptions. More...
class | zypp::url::UrlDecodingException
| Thrown if the encoded string contains a NUL byte (%00). More...
class | zypp::url::UrlParsingException
| Thrown if the url or a component can't be parsed at all. More...
class | zypp::url::UrlBadComponentException
| Thrown if a url component is invalid. More...
class | zypp::url::UrlNotAllowedException
| Thrown if scheme does not allow a component. More...
class | zypp::url::UrlNotSupportedException
| Thrown if a feature e.g. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::url
| Url details namespace.